Package net.shibboleth.idp.attribute.resolver.dc.saml.util.impl

# Class AttributeAuthorityEntityIDContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class AttributeAuthorityEntityIDContext extends BaseContext
Used by `SimpleAggregationSAMLDataConnector` hold the current attribute authority entityID from which attributes are being resolved.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`authorityEntityID`
The authority entityID.

## Constructor Summary

Constructors
Constructor
Description
`AttributeAuthorityEntityIDContext(String entityID)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthorityEntityID()`
Get the authority entityID.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### authorityEntityID

private String authorityEntityID
The authority entityID.

## Constructor Details

### AttributeAuthorityEntityIDContext

public AttributeAuthorityEntityIDContext(@Nonnull String entityID)
Constructor.

Parameters:
  `entityID` - the authority entityID

## Method Details

### getAuthorityEntityID

public String getAuthorityEntityID()
Get the authority entityID.

Returns:
  the entityID